Last Comment Bug 718020 - test_bug583889.html: "Error: uncaught exception: [object StopIteration]"
: test_bug583889.html: "Error: uncaught exception: [object StopIteration]"
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: P3 minor (vote)
: mozilla13
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 718205
Blocks: 583889
  Show dependency treegraph
 
Reported: 2012-01-13 12:17 PST by Serge Gautherie (:sgautherie)
Modified: 2012-02-15 14:19 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
wontfix
affected


Attachments
(Av1) test_bug583889.html: Delay "SimpleTest.finish()" call, Add missing 'yield' in bug583889_inner1.html, Add documentation [Checked in: Comment 6] (2.62 KB, patch)
2012-01-13 13:12 PST, Serge Gautherie (:sgautherie)
roc: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-01-13 12:17:45 PST
(While working on bug 717868 comment 3,)
I noticed the following error in (SeaMonkey) Error Console:
{
Error: uncaught exception: [object StopIteration]
}

https://developer.mozilla.org/en/JavaScript/Guide/Iterators_and_Generators#section_3
{
When either the end of the function or a return statement is reached, a StopIteration exception is thrown.
}

Code is:
{
41   SimpleTest.finish();
42   yield;
43 }
}
I don't know much about generators...
Should these be replaced by "SimpleTest.executeSoon(SimpleTest.finish);"?

*****

Cameron, should/could (not) this be caught+reported by bug 652494 + bug 703176 ?
Comment 1 Serge Gautherie (:sgautherie) 2012-01-13 13:12:57 PST
Created attachment 588506 [details] [diff] [review]
(Av1) test_bug583889.html: Delay "SimpleTest.finish()" call, Add missing 'yield' in bug583889_inner1.html, Add documentation
[Checked in: Comment 6]

Please, check added documentation, as I +/- guessed test logic.


(In reply to Serge Gautherie (:sgautherie) from comment #0)

> Should these be replaced by "SimpleTest.executeSoon(SimpleTest.finish);"?

Not required, but helps to separate tests.

> *****
> 
> Cameron, should/could (not) this be caught+reported by bug 652494 + bug
> 703176 ?

I assume the case here is +/- that no (custom) window.onerror is attached to inner iframe(s).
We can't do anything about it, can we?
(Unless checking Error Console output :-/)
Comment 2 Serge Gautherie (:sgautherie) 2012-01-14 10:08:44 PST
(In reply to Serge Gautherie (:sgautherie) from comment #1)
> > Cameron, should/could (not) this be caught+reported by bug 652494 + bug
> > 703176 ?
> 
> I assume the case here is +/- that no (custom) window.onerror is attached to
> inner iframe(s).
> We can't do anything about it, can we?
> (Unless checking Error Console output :-/)

I filed bug 718205.
Comment 3 Serge Gautherie (:sgautherie) 2012-01-26 03:20:22 PST
Ping for review.
Comment 4 Serge Gautherie (:sgautherie) 2012-02-05 06:34:09 PST
Ping for review.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-02-15 10:09:22 PST
Comment on attachment 588506 [details] [diff] [review]
(Av1) test_bug583889.html: Delay "SimpleTest.finish()" call, Add missing 'yield' in bug583889_inner1.html, Add documentation
[Checked in: Comment 6]

I'm not a good reviewer for this
Comment 6 Serge Gautherie (:sgautherie) 2012-02-15 12:46:17 PST
Comment on attachment 588506 [details] [diff] [review]
(Av1) test_bug583889.html: Delay "SimpleTest.finish()" call, Add missing 'yield' in bug583889_inner1.html, Add documentation
[Checked in: Comment 6]

https://hg.mozilla.org/mozilla-central/rev/334d8674cdb6
Comment 7 Serge Gautherie (:sgautherie) 2012-02-15 14:19:27 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9364203&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central debug test mochitests-4/5 on 2012-02-15 12:58:42 PST for push 334d8674cdb6

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.